.disable {
    pointer-events: none;
}

.is-loading {
    position: relative !important;
    pointer-events: none;
    user-select: none;
}

.is-loading::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(8px);
    z-index: 100;
    border-radius: inherit;

    opacity: 0;
    animation: fadeIn 0.3s ease-in forwards;
    animation-delay: 0.2s;
}

.is-loading::after {
    content: "";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    z-index: 101;

    opacity: 0;
    animation:
            spin 0.8s linear infinite,
            fadeIn 0.3s ease-in forwards;
    animation-delay: 0s, 0.3s;
}

@keyframes fadeIn {
    to { opacity: 1; }
}

@keyframes spin {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}



.pd-spec-key, .pd-spec-val {
    white-space: wrap;
    flex-shrink: 1;
    text-align: left;
}

.cat-card {
   cursor: pointer;
}